## org.eclipse.datatools.enablement.sqlite.loader
Class SQLiteTableConstraintLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCTableConstraintLoader
              org.eclipse.datatools.enablement.sqlite.loader.SQLiteTableConstraintLoader

    public class SQLiteTableConstraintLoader

extends JDBCTableConstraintLoader

The JDBC driver we've tried for SQLite doesn't support foreign keys, so we simply don't return them (without this, we end up with a "is not supported" error that pops up in the console.

Author:
  brianf

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableConstraintLoader
`COLUMN_COLUMN_NAME, COLUMN_DEFERRABILITY, COLUMN_DELETE_RULE, COLUMN_FK_NAME, COLUMN_FKCOLUMN_NAME, COLUMN_KEY_SEQ, COLUMN_PK_NAME, COLUMN_PKCOLUMN_NAME, COLUMN_PKTABLE_CAT, COLUMN_PKTABLE_NAME, COLUMN_PKTABLE_SCHEM, COLUMN_UPDATE_RULE`

Constructor Summary
`SQLiteTableConstraintLoader()`
`SQLiteTableConstraintLoader(ICatalogObject catalogObject)`
`SQLiteTableConstraintLoader(ICatalogObject catalogObject, IConnectionFilterProvider connectionFilterProvider)`

Method Summary
`void` `loadForeignKeys(java.util.List containmentList, java.util.Collection existingFKs)` Loads the "foreign key" objects from the database.

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableConstraintLoader
`clearConstraints, loadForeignKeys, loadPrimaryKey, loadPrimaryKey, loadUniqueConstraints, loadUniqueConstraints`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLiteTableConstraintLoader

    public SQLiteTableConstraintLoader()

### SQLiteTableConstraintLoader

    public SQLiteTableConstraintLoader(ICatalogObject catalogObject)

### SQLiteTableConstraintLoader

    public SQLiteTableConstraintLoader(ICatalogObject catalogObject,
                                       IConnectionFilterProvider connectionFilterProvider)

Method Detail

### loadForeignKeys

    public void loadForeignKeys(java.util.List containmentList,
                                java.util.Collection existingFKs)
                         throws java.sql.SQLException

  Description copied from class: `JDBCTableConstraintLoader`
  Loads the "foreign key" objects from the database. This method uses the result set from createUniqueConstraintResultSet() to load the "foreign key" objects from the server.

  Overrides:
    `loadForeignKeys` in class `JDBCTableConstraintLoader`
  Parameters:
    `containmentList` - the containment list held by parent
    `existingFKs` - the catalog objects which were previously loaded
  Throws:
    `java.sql.SQLException` - if an error occurred during loading.